[WordPress]使用一句代码禁用Gutenberg(古腾堡) 编辑器

2018年12月21日09:41:59[WordPress]使用一句代码禁用Gutenberg(古腾堡) 编辑器已关闭评论 50
摘要

WordPress 5.0正式版发布以后,新的Gutenberg 编辑器(在WP5.0中准确地说应该叫block editor编辑器)

WordPress 5.0正式版发布以后,新的Gutenberg 编辑器(在WP5.0中准确地说应该叫block editor编辑器)给众多用户带来困惑,很简单的文字编辑操作,变得繁琐复杂,虽然用户对这个编辑器意见很大,但WP开发团队强推也没有办法。

其实最主要的原因还是主题和插件的兼容问题,当然,使用习惯上也是有点不那么顺手。昨天倡萌提到了官方针对Gutenberg的二期开发计划,可以说,只有当二期计划完成以后,这个编辑器才会真正好用,当然是配合兼容的主题和插件的情况下。那么,在此之前,如果你已经升级到 WordPress 5.0,如何禁用掉 Gutenberg,恢复为默认经典编辑器,应该是不少朋友关心的问题。

[Wordpress]使用一句代码禁用Gutenberg(古腾堡) 编辑器

可以通过安装Classic Editor或者Disable Gutenberg插件,切换回经典的编辑器。

其实之前经典的Classic Editor编辑器代码,在WordPress 5.0并没有被删除,上述插件也只是个切换开关而已。

关键代码就一句:

add_filter('use_block_editor_for_post', '__return_false');

将代码添加到当前主题函数模板functions.php中,即可切换回之前的编辑器,根本不需要那些插件。

当然你想有更多的选择性,可以安装上述插件。

后台禁用block editor编辑器后,前端还是会加载相关的的样式文件,需要加上一句:

remove_action( 'wp_enqueue_scripts', 'wp_common_block_scripts_and_styles' );

禁止前端加载样式文件。

Classic Editor编辑器代码据WP官方称会延续集成到2021年才会从程序中彻底删除,但大家也不用担心,到时会有全套的Classic Editor编辑器插件让你选择。

完整中文版估计遥遥无期,目前5.0版完全可以用之前的语言文件,除了新编辑器没有汉化,其它没有影响。

看了一下其它语言的WP程序,目前都没有本地化编辑器。